using ttrss_co_client.ttrss;
using ttrss_co_client.ttrss.datastructures;

namespace ttrss_co_client.tasks
{
    ///<summary>generally, download</summary>
    public abstract class Phase1Task
    {
        public virtual string TaskName { get { return this.GetType().ToString(); } }
        public static ApiClient TtrssClient { get; set; }
        public static Configuration Conf { get; set; }
        public virtual string TriggerLabel { get; set; }
        public abstract Task<WorkOrder> ActOn(Headline headline, IEnumerable<Label> labels);
    }
}